<?php

namespace Ems\Services;

use Doctrine\ORM\EntityManager;

use Util\Environment;
use Util\DateUtil;

use Ems\Repository\OcupacaoRepository;
use Ems\Util\{ Utilities, ArrayUtil };

class OcupacaoService {

    public function __construct(
        OcupacaoRepository $ocupacaoRepository,
        Environment $environment
    ) {
        $this->ocupacaoRepository         = $ocupacaoRepository;
        $this->environment                  = $environment;
    }



    public function getMotivoOcupa() {
        $nrorg = $this->environment->getNrorg();
        return $this->ocupacaoRepository->getMotivoOcupa($nrorg);
    }
    
    public function getOcupacao() {
        $nrorg = $this->environment->getNrorg();
        return $this->ocupacaoRepository->getOcupacao($nrorg);
    }
    
    
}
