<?php
namespace Folha\Entities\Base;

class PtoProgocorrencia extends \Setforms2\Shared\ORM\BasicEntity
{

    protected $nrmarcacaoponto;
    protected $nrtipoprogocorrencia;
    protected $idtipodiacalendario;
    protected $idtipohorario;
    protected $vrcoeficienteacrescimo;
    protected $qtmaxgatilhoprogocor;
    protected $nrsitufreqgatilho;
    protected $iddiassemana;
    protected $qtmingatilhoprogocor;
    protected $dsobservacao;
    protected $nrorg;
    protected $nrprogocorrencia;
    protected $dtultatu;
    protected $cdoperinclusao;
    protected $dtfimprogocor;
    protected $nrvinculom;
    protected $nrorgultatu;
    protected $dtinicioprogocor;
    protected $dtinclusao;
    protected $nrorginclusao;
    protected $idprogocorrencia;
    protected $qtminimaprogocor;
    protected $cdoperultatu;
    protected $idativo;
    protected $nrsitufrequencia;
    protected $qtmaximaprogocor;
    protected $nrmotivoocorfreq;
    protected $nrhordiam;
    protected $idprogocorconfirmada;
    protected $nrintervalohorario;
    protected $hrprojetarintervalonprog;
    /** @var \Folha\Entities\PtoMotivoocorfreq */
    protected $org = null;
    /** @var \Folha\Entities\PtoSitufrequencia */
    protected $situfrequencia = null;
    /** @var \Folha\Entities\GpeVinculom */
    protected $vinculom = null;
    /** @var \Folha\Entities\PtoSitufrequencia */
    protected $situfreqgatilho = null;
    /** @var \Folha\Entities\PtoTipoprogocorrencia */
    protected $tipoprogocorrencia = null;
    /** @var \Folha\Entities\GpeMarcacaoponto */
    protected $marcacaoponto = null;
    /** @var \Folha\Entities\GpeIntervaloshorario */
    protected $intervalohorario = null;


    public function __construct() {
		$this->idtipohorario = 'N' ;
		$this->idativo = 'S' ;
		$this->idprogocorconfirmada = 'S' ;

    }
    
    public function getHrprojetarintervalonprog () {
        return $this->hrprojetarintervalonprog;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setHrprojetarintervalonprog ($hrprojetarintervalonprog) {
        $this->hrprojetarintervalonprog = $hrprojetarintervalonprog;
        return $this;
    }


    public function getNrmarcacaoponto () {
        return $this->nrmarcacaoponto;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrmarcacaoponto ($nrmarcacaoponto) {
        $this->nrmarcacaoponto = $nrmarcacaoponto;
        return $this;
    }

    public function getNrtipoprogocorrencia () {
        return $this->nrtipoprogocorrencia;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrtipoprogocorrencia ($nrtipoprogocorrencia) {
        $this->nrtipoprogocorrencia = $nrtipoprogocorrencia;
        return $this;
    }

    public function getIdtipodiacalendario () {
        return $this->idtipodiacalendario;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setIdtipodiacalendario ($idtipodiacalendario) {
        $this->idtipodiacalendario = $idtipodiacalendario;
        return $this;
    }

    public function getIdtipohorario () {
        return $this->idtipohorario;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setIdtipohorario ($idtipohorario) {
        $this->idtipohorario = $idtipohorario;
        return $this;
    }

    public function getVrcoeficienteacrescimo () {
        return $this->vrcoeficienteacrescimo;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setVrcoeficienteacrescimo ($vrcoeficienteacrescimo) {
        $this->vrcoeficienteacrescimo = $vrcoeficienteacrescimo;
        return $this;
    }

    public function getQtmaxgatilhoprogocor () {
        return $this->qtmaxgatilhoprogocor;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setQtmaxgatilhoprogocor ($qtmaxgatilhoprogocor) {
        $this->qtmaxgatilhoprogocor = $qtmaxgatilhoprogocor;
        return $this;
    }

    public function getNrsitufreqgatilho () {
        return $this->nrsitufreqgatilho;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrsitufreqgatilho ($nrsitufreqgatilho) {
        $this->nrsitufreqgatilho = $nrsitufreqgatilho;
        return $this;
    }

    public function getIddiassemana () {
        return $this->iddiassemana;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setIddiassemana ($iddiassemana) {
        $this->iddiassemana = $iddiassemana;
        return $this;
    }

    public function getQtmingatilhoprogocor () {
        return $this->qtmingatilhoprogocor;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setQtmingatilhoprogocor ($qtmingatilhoprogocor) {
        $this->qtmingatilhoprogocor = $qtmingatilhoprogocor;
        return $this;
    }

    public function getDsobservacao () {
        return $this->dsobservacao;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setDsobservacao ($dsobservacao) {
        $this->dsobservacao = $dsobservacao;
        return $this;
    }

    public function getNrorg () {
        return $this->nrorg;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrorg ($nrorg) {
        $this->nrorg = $nrorg;
        return $this;
    }

    public function getNrprogocorrencia () {
        return $this->nrprogocorrencia;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrprogocorrencia ($nrprogocorrencia) {
        $this->nrprogocorrencia = $nrprogocorrencia;
        return $this;
    }

    public function getDtultatu () {
        return $this->dtultatu;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setDtultatu ($dtultatu) {
        $this->dtultatu = $dtultatu;
        return $this;
    }

    public function getCdoperinclusao () {
        return $this->cdoperinclusao;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setCdoperinclusao ($cdoperinclusao) {
        $this->cdoperinclusao = $cdoperinclusao;
        return $this;
    }

    public function getDtfimprogocor () {
        return $this->dtfimprogocor;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setDtfimprogocor ($dtfimprogocor) {
        $this->dtfimprogocor = $dtfimprogocor;
        return $this;
    }

    public function getNrvinculom () {
        return $this->nrvinculom;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrvinculom ($nrvinculom) {
        $this->nrvinculom = $nrvinculom;
        return $this;
    }

    public function getNrorgultatu () {
        return $this->nrorgultatu;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrorgultatu ($nrorgultatu) {
        $this->nrorgultatu = $nrorgultatu;
        return $this;
    }

    public function getDtinicioprogocor () {
        return $this->dtinicioprogocor;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setDtinicioprogocor ($dtinicioprogocor) {
        $this->dtinicioprogocor = $dtinicioprogocor;
        return $this;
    }

    public function getDtinclusao () {
        return $this->dtinclusao;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setDtinclusao ($dtinclusao) {
        $this->dtinclusao = $dtinclusao;
        return $this;
    }

    public function getNrorginclusao () {
        return $this->nrorginclusao;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrorginclusao ($nrorginclusao) {
        $this->nrorginclusao = $nrorginclusao;
        return $this;
    }

    public function getIdprogocorrencia () {
        return $this->idprogocorrencia;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setIdprogocorrencia ($idprogocorrencia) {
        $this->idprogocorrencia = $idprogocorrencia;
        return $this;
    }

    public function getQtminimaprogocor () {
        return $this->qtminimaprogocor;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setQtminimaprogocor ($qtminimaprogocor) {
        $this->qtminimaprogocor = $qtminimaprogocor;
        return $this;
    }

    public function getCdoperultatu () {
        return $this->cdoperultatu;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setCdoperultatu ($cdoperultatu) {
        $this->cdoperultatu = $cdoperultatu;
        return $this;
    }

    public function getIdativo () {
        return $this->idativo;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setIdativo ($idativo) {
        $this->idativo = $idativo;
        return $this;
    }

    public function getNrsitufrequencia () {
        return $this->nrsitufrequencia;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrsitufrequencia ($nrsitufrequencia) {
        $this->nrsitufrequencia = $nrsitufrequencia;
        return $this;
    }

    public function getQtmaximaprogocor () {
        return $this->qtmaximaprogocor;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setQtmaximaprogocor ($qtmaximaprogocor) {
        $this->qtmaximaprogocor = $qtmaximaprogocor;
        return $this;
    }

    public function getNrmotivoocorfreq () {
        return $this->nrmotivoocorfreq;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrmotivoocorfreq ($nrmotivoocorfreq) {
        $this->nrmotivoocorfreq = $nrmotivoocorfreq;
        return $this;
    }

    public function getNrhordiam () {
        return $this->nrhordiam;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrhordiam ($nrhordiam) {
        $this->nrhordiam = $nrhordiam;
        return $this;
    }

    public function getIdprogocorconfirmada () {
        return $this->idprogocorconfirmada;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setIdprogocorconfirmada ($idprogocorconfirmada) {
        $this->idprogocorconfirmada = $idprogocorconfirmada;
        return $this;
    }

    public function getNrintervalohorario () {
        return $this->nrintervalohorario;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setNrintervalohorario ($nrintervalohorario) {
        $this->nrintervalohorario = $nrintervalohorario;
        return $this;
    }

    /**
     * @return \Folha\Entities\PtoMotivoocorfreq
     */
    public function getOrg() {
        if ($this->org === null && ($this->nrorg !== null)) {
            $id = array(
                "nrorg" => $this->nrorg,
                "nrmotivoocorfreq" => $this->nrmotivoocorfreq,
            );
            $this->org = \Folha\Entities\PtoMotivoocorfreq::getObject($id);
        }

        return $this->org;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setOrg(\Folha\Entities\PtoMotivoocorfreq $org = null) {
        $this->org = $org;
        if($org === null) {
            $this->nrorg = null;
$this->nrmotivoocorfreq = null;
        } else {
            $this->nrorg = $org->getNrorg();
$this->nrmotivoocorfreq = $org->getNrmotivoocorfreq();
        }

        return $this;
    }

    /**
     * @return \Folha\Entities\PtoSitufrequencia
     */
    public function getSitufrequencia() {
        if ($this->situfrequencia === null && ($this->nrsitufrequencia !== null)) {
            $id = array(
                "nrsitufrequencia" => $this->nrsitufrequencia,
            );
            $this->situfrequencia = \Folha\Entities\PtoSitufrequencia::getObject($id);
        }

        return $this->situfrequencia;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setSitufrequencia(\Folha\Entities\PtoSitufrequencia $situfrequencia = null) {
        $this->situfrequencia = $situfrequencia;
        if($situfrequencia === null) {
            $this->nrsitufrequencia = null;
        } else {
            $this->nrsitufrequencia = $situfrequencia->getNrsitufrequencia();
        }

        return $this;
    }

    /**
     * @return \Folha\Entities\GpeVinculom
     */
    public function getVinculom() {
        if ($this->vinculom === null && ($this->nrvinculom !== null)) {
            $id = array(
                "nrvinculom" => $this->nrvinculom,
                "nrorg" => $this->nrorg,
            );
            $this->vinculom = \Folha\Entities\GpeVinculom::getObject($id);
        }

        return $this->vinculom;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setVinculom(\Folha\Entities\GpeVinculom $vinculom = null) {
        $this->vinculom = $vinculom;
        if($vinculom === null) {
            $this->nrvinculom = null;
$this->nrorg = null;
        } else {
            $this->nrvinculom = $vinculom->getNrvinculom();
$this->nrorg = $vinculom->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Folha\Entities\PtoSitufrequencia
     */
    public function getSitufreqgatilho() {
        if ($this->situfreqgatilho === null && ($this->nrsitufreqgatilho !== null)) {
            $id = array(
                "nrsitufrequencia" => $this->nrsitufreqgatilho,
            );
            $this->situfreqgatilho = \Folha\Entities\PtoSitufrequencia::getObject($id);
        }

        return $this->situfreqgatilho;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setSitufreqgatilho(\Folha\Entities\PtoSitufrequencia $situfreqgatilho = null) {
        $this->situfreqgatilho = $situfreqgatilho;
        if($situfreqgatilho === null) {
            $this->nrsitufreqgatilho = null;
        } else {
            $this->nrsitufreqgatilho = $situfreqgatilho->getNrsitufrequencia();
        }

        return $this;
    }

    /**
     * @return \Folha\Entities\PtoTipoprogocorrencia
     */
    public function getTipoprogocorrencia() {
        if ($this->tipoprogocorrencia === null && ($this->nrtipoprogocorrencia !== null)) {
            $id = array(
                "nrtipoprogocorrencia" => $this->nrtipoprogocorrencia,
            );
            $this->tipoprogocorrencia = \Folha\Entities\PtoTipoprogocorrencia::getObject($id);
        }

        return $this->tipoprogocorrencia;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setTipoprogocorrencia(\Folha\Entities\PtoTipoprogocorrencia $tipoprogocorrencia = null) {
        $this->tipoprogocorrencia = $tipoprogocorrencia;
        if($tipoprogocorrencia === null) {
            $this->nrtipoprogocorrencia = null;
        } else {
            $this->nrtipoprogocorrencia = $tipoprogocorrencia->getNrtipoprogocorrencia();
        }

        return $this;
    }

    /**
     * @return \Folha\Entities\GpeMarcacaoponto
     */
    public function getMarcacaoponto() {
        if ($this->marcacaoponto === null && ($this->nrmarcacaoponto !== null)) {
            $id = array(
                "nrorg" => $this->nrorg,
                "nrmarcacaoponto" => $this->nrmarcacaoponto,
            );
            $this->marcacaoponto = \Folha\Entities\GpeMarcacaoponto::getObject($id);
        }

        return $this->marcacaoponto;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setMarcacaoponto(\Folha\Entities\GpeMarcacaoponto $marcacaoponto = null) {
        $this->marcacaoponto = $marcacaoponto;
        if($marcacaoponto === null) {
            $this->nrorg = null;
$this->nrmarcacaoponto = null;
        } else {
            $this->nrorg = $marcacaoponto->getNrorg();
$this->nrmarcacaoponto = $marcacaoponto->getNrmarcacaoponto();
        }

        return $this;
    }

    /**
     * @return \Folha\Entities\GpeIntervaloshorario
     */
    public function getIntervalohorario() {
        if ($this->intervalohorario === null && ($this->nrintervalohorario !== null)) {
            $id = array(
                "nrorg" => $this->nrorg,
                "nrintervalohorario" => $this->nrintervalohorario,
            );
            $this->intervalohorario = \Folha\Entities\GpeIntervaloshorario::getObject($id);
        }

        return $this->intervalohorario;
    }

    /**
     * @return \Folha\Entities\PtoProgocorrencia
     */
    public function setIntervalohorario(\Folha\Entities\GpeIntervaloshorario $intervalohorario = null) {
        $this->intervalohorario = $intervalohorario;
        if($intervalohorario === null) {
            $this->nrorg = null;
$this->nrintervalohorario = null;
        } else {
            $this->nrorg = $intervalohorario->getNrorg();
$this->nrintervalohorario = $intervalohorario->getNrintervalohorario();
        }

        return $this;
    }

}